﻿/**
 * Parameters of the Battle Loading screen.
 */
{
	"battleLoading": {
		"formatLeftNick": "<img src='xvm://res/icons/flags/{{flag|default}}.png' width='16' height='13'> {{name}}<font alpha='#A0'>{{clan}}</font> <font color='{{c:xwn8}}'>{{xwn8}}</font> <font color='{{c:t-battles}}'>{{t-battles%4.0d|----}}</font> <font color='{{c:kb}}'>{{kb%2.0d~k|--k}}</font>",						// Display format for the left panel (macros allowed, see readme-en.txt).
		"formatLeftVehicle": "{{vehicle}}",				// Display format for the left Players Panel (macros allowed, see readme-en.txt).
		"formatRightNick": "<font color='{{c:xwn8}}'>{{xwn8}}</font> <font color='{{c:t-battles}}'>{{t-battles%4.0d|----}}</font> <font color='{{c:kb}}'>{{kb%2.0d~k|--k}}</font> {{name}}<font alpha='#A0'>{{clan}}</font> <img src='xvm://res/icons/flags/{{flag|default}}.png' width='16' height='13'>",					// Display format for the right panel (macros allowed, see readme-en.txt).
		"formatRightVehicle": "{{vehicle}}",				// Display format for the right Players Panel (macros allowed, see readme-en.txt).
		"darkenNotReadyIcon": true,
		"showBattleTier": true,																				// true - Enable display of battle tier.
		"clockFormat": "",																						// Format of clock on the Battle Loading Screen. Format: http://php.net/date
		"removeSquadIcon": true,																				// true - Disable Platoon icons. This blank space can house, for example, clan logos.
		"removeVehicleLevel": false,
		"removeVehicleTypeIcon": false,
		"clanIcon": {																							// Display options for Team/Clan logos.
			"show": false,																						// false - Disable Team/Clan logos in Battle Loading Screen.
			"x": -348,																							// Position on the X axis, relative to the vehicle icon.
			"y": 0,																								// Position on the Y axis, relative to the vehicle icon.
			"xr": -348,																							// Position on the X axis for right side (positive values run to the *inside* of the table).
			"yr": 0,																							// Position on the Y axis for right side.
			"h": 22,																							// Height of the Team/Clan logo.
			"w": 22,																							// Width of the Team/Clan logo.
			"alpha": 90																							// Transparency of the Team/Clan logo.
		}
	}
}
