﻿/**
 * Color settings.
 */
{
	 "def": {
		"al": 						${"various/baseColorScale.xc":"def.ally"}, 			// ally
		"sq": 						${"various/baseColorScale.xc":"def.squadman"}, 		// squadman
		"tk": 						${"various/baseColorScale.xc":"def.teamKiller"}, 	// teamKiller
		"en": 						${"various/baseColorScale.xc":"def.enemy"}, 		// enemy
		"pl": 						${"various/baseColorScale.xc":"def.player"}, 		// player
		// Dynamic color by various statistical parameters.
		"colorRating": {
			"undefined":			${"various/baseColorScale.xc":"def.undefined"},
			"very_bad":				${"various/baseColorScale.xc":"def.very_bad"},
			"bad":					${"various/baseColorScale.xc":"def.bad"},
			"normal":				${"various/baseColorScale.xc":"def.normal"},
			"good":					${"various/baseColorScale.xc":"def.good"},
			"very_good":			${"various/baseColorScale.xc":"def.very_good"},
			"unique":				${"various/baseColorScale.xc":"def.unique"}
		},
		// Dynamic color by remaining health points.
		"colorHP": {
			"very_low":				${"various/baseColorScale.xc":"def.very_low"},
			"low":					${"various/baseColorScale.xc":"def.low"},
			"average":			    ${"various/baseColorScale.xc":"def.average"},
			"above_average":		${"various/baseColorScale.xc":"def.above_average"}
		}
	},
	"colors": {
		// System colors.
		"system": {
			// Format: object_state_markersType.
			// Object:      ally, squadman, teamKiller, enemy.
			// State:       alive, dead, blowedup.
			// MarkersType: normal - normal mode, blind - color blind mode.
			"ally_alive":			${"various/baseColorScale.xc":"def.ally_alive"},
			"ally_dead":			${"various/baseColorScale.xc":"def.ally_dead"},
			"ally_blowedup":		${"various/baseColorScale.xc":"def.ally_blowedup"},
			"squadman_alive":		${"various/baseColorScale.xc":"def.squadman_alive"},
			"squadman_dead":		${"various/baseColorScale.xc":"def.squadman_dead"},
			"squadman_blowedup":	${"various/baseColorScale.xc":"def.squadman_blowedup"},
			"teamKiller_alive":		${"various/baseColorScale.xc":"def.teamKiller_alive"},
			"teamKiller_dead":		${"various/baseColorScale.xc":"def.teamKiller_dead"},
			"teamKiller_blowedup":	${"various/baseColorScale.xc":"def.teamKiller_blowedup"},
			"enemy_alive":			${"various/baseColorScale.xc":"def.enemy_alive"},
			"enemy_dead":			${"various/baseColorScale.xc":"def.enemy_dead"},
			"enemy_blowedup":		${"various/baseColorScale.xc":"def.enemy_blowedup"}
		},
		"damage": {														// Color settings for damage. Link.
			// Format: src_dst_type.
			// Src: ally, squadman, enemy, unknown, player.
			// Dst: ally, squadman, allytk, enemytk, enemy.
			// Type: hit, kill, blowup.
			"ally_ally_hit": ${"def.tk"},
			"ally_ally_kill": ${"def.tk"},
			"ally_ally_blowup": ${"def.tk"},
			"ally_squadman_hit": ${"def.tk"},
			"ally_squadman_kill": ${"def.tk"},
			"ally_squadman_blowup": ${"def.tk"},
			"ally_enemy_hit": ${"def.en"},
			"ally_enemy_kill": ${"def.en"},
			"ally_enemy_blowup": ${"def.en"},
			"ally_allytk_hit": ${"def.tk"},
			"ally_allytk_kill": ${"def.tk"},
			"ally_allytk_blowup": ${"def.tk"},
			"ally_enemytk_hit": ${"def.en"},
			"ally_enemytk_kill": ${"def.en"},
			"ally_enemytk_blowup": ${"def.en"},
			"squadman_ally_hit": ${"def.tk"},
			"squadman_ally_kill": ${"def.tk"},
			"squadman_ally_blowup": ${"def.tk"},
			"squadman_squadman_hit": ${"def.tk"},
			"squadman_squadman_kill": ${"def.tk"},
			"squadman_squadman_blowup": ${"def.tk"},
			"squadman_enemy_hit": ${"def.en"},
			"squadman_enemy_kill": ${"def.en"},
			"squadman_enemy_blowup": ${"def.en"},
			"squadman_allytk_hit": ${"def.tk"},
			"squadman_allytk_kill": ${"def.tk"},
			"squadman_allytk_blowup": ${"def.tk"},
			"squadman_enemytk_hit": ${"def.en"},
			"squadman_enemytk_kill": ${"def.en"},
			"squadman_enemytk_blowup":${"def.en"},
			"enemy_ally_hit": ${"def.al"},
			"enemy_ally_kill": ${"def.al"},
			"enemy_ally_blowup": ${"def.al"},
			"enemy_squadman_hit": ${"def.sq"},
			"enemy_squadman_kill": ${"def.sq"},
			"enemy_squadman_blowup": ${"def.sq"},
			"enemy_enemy_hit": ${"def.en"},
			"enemy_enemy_kill": ${"def.en"},
			"enemy_enemy_blowup": ${"def.en"},
			"enemy_allytk_hit": ${"def.al"},
			"enemy_allytk_kill": ${"def.al"},
			"enemy_allytk_blowup": ${"def.al"},
			"enemy_enemytk_hit": ${"def.en"},
			"enemy_enemytk_kill": ${"def.en"},
			"enemy_enemytk_blowup": ${"def.en"},
			"unknown_ally_hit": ${"def.al"},
			"unknown_ally_kill": ${"def.al"},
			"unknown_ally_blowup": ${"def.al"},
			"unknown_squadman_hit": ${"def.sq"},
			"unknown_squadman_kill": ${"def.sq"},
			"unknown_squadman_blowup":${"def.sq"},
			"unknown_enemy_hit": ${"def.en"},
			"unknown_enemy_kill": ${"def.en"},
			"unknown_enemy_blowup": ${"def.en"},
			"unknown_allytk_hit": ${"def.al"},
			"unknown_allytk_kill": ${"def.al"},
			"unknown_allytk_blowup": ${"def.al"},
			"unknown_enemytk_hit": ${"def.en"},
			"unknown_enemytk_kill": ${"def.en"},
			"unknown_enemytk_blowup": ${"def.en"},
			"player_ally_hit": ${"def.pl"},
			"player_ally_kill": ${"def.pl"},
			"player_ally_blowup": ${"def.pl"},
			"player_squadman_hit": ${"def.pl"},
			"player_squadman_kill": ${"def.pl"},
			"player_squadman_blowup": ${"def.pl"},
			"player_enemy_hit": ${"def.pl"},
			"player_enemy_kill": ${"def.pl"},
			"player_enemy_blowup": ${"def.pl"},
			"player_allytk_hit": ${"def.pl"},
			"player_allytk_kill": ${"def.pl"},
			"player_allytk_blowup": ${"def.pl"},
			"player_enemytk_hit": ${"def.pl"},
			"player_enemytk_kill": ${"def.pl"},
			"player_enemytk_blowup": ${"def.pl"}
		},
		// Dynamic color by damage kind.
		"dmg_kind": {
			"attack": "0xFFAA55",				// used to show icons 
			"fire": "0xFF6655",					// used to show icons 
			"ramming": "0x998855",				// used to show icons 
			"world_collision": "0x228855",		// used to show icons 
			"other": "0xCCCCCC"
		},
		// Dynamic color by vehicle type.
		"vtype": {
			"LT":  "0xA2FF9A",
			"MT":  "0xFFF198",
			"HT":  "0xFFACAC",
			"SPG": "0xEFAEFF",
			"TD":  "0xA0CFFF",
			"premium": "0xFFCC66",
			"usePremiumColor": false
		},
		// Values ​​below should be from smaller to larger.
		// ----
		// Dynamic color by remaining absolute health.
		"hp": [
			{ "value": 201,  "color": ${"def.colorHP.very_low"} },				// Color for health less than 201
			{ "value": 401,  "color": ${"def.colorHP.low"} },					// Color for health less than 401
			{ "value": 1001, "color": ${"def.colorHP.average"} },				// Color for health less than 1001
			{ "value": 9999, "color": ${"def.colorHP.above_average"} }			// Color for health 1000 and more 
		],
		// Dynamic color by remaining health percent.
		"hp_ratio": [
			{ "value": 10,  "color": ${"def.colorHP.very_low"} },				// Color for health less than 10 prercent
			{ "value": 25,  "color": ${"def.colorHP.low"} },					// Color for health less than 25 prercent
			{ "value": 50,  "color": ${"def.colorHP.average"} },				// Color for health less than 50 prercent
			{ "value": 101, "color": ${"def.colorHP.above_average"} }			// Color for health 50 prercent and more
		],
		// Dynamic color for XVM Scale.
		// http://www.koreanrandom.com/forum/topic/2625-/
		"x": [
			{ "value": 17,  "color": ${"def.colorRating.very_bad"} },			// 00   - 16.5 - very bad   (20% of players)
			{ "value": 34,  "color": ${"def.colorRating.bad"} },				// 16.5 - 33.5 - bad        (better then 20% of players)
			{ "value": 53,  "color": ${"def.colorRating.normal"} },				// 33.5 - 52.5 - normal     (better then 60% of players)
			{ "value": 76,  "color": ${"def.colorRating.good"} },				// 52.5 - 75.5 - good       (better then 90% of players)
			{ "value": 93,  "color": ${"def.colorRating.very_good"} },			// 75.5 - 92.5 - very good  (better then 99% of players)
			{ "value": 999, "color": ${"def.colorRating.unique"} }				// 92.5 - XX   - unique     (better then 99.9% of players)
		],
		// Dynamic color by efficiency.
		"eff": [
			{ "value": 630,  "color": ${"def.colorRating.very_bad"} },			//    0 - 644  - very bad   (20% of players)
			{ "value": 860,  "color": ${"def.colorRating.bad"} },				//  630 - 859  - bad        (better then 20% of players)
			{ "value": 1140, "color": ${"def.colorRating.normal"} },			//  875 - 1139 - normal     (better then 60% of players)
			{ "value": 1460, "color": ${"def.colorRating.good"} },				// 1140 - 1459 - good       (better then 90% of players)
			{ "value": 1735, "color": ${"def.colorRating.very_good"} },			// 1470 - 1734 - very good  (better then 99% of players)
			{ "value": 9999, "color": ${"def.colorRating.unique"} }				// 1735 - *    - unique     (better then 99.9% of players)
		],
		// Dynamic color by WN6 rating.
		"wn6": [
			{ "value": 425,  "color": ${"def.colorRating.very_bad"} },			//    0 - 424  - very bad
			{ "value": 795,  "color": ${"def.colorRating.bad"} },				//  425 - 794  - bad
			{ "value": 1175, "color": ${"def.colorRating.normal"} },			//  795 - 1174 - normal
			{ "value": 1570, "color": ${"def.colorRating.good"} },				// 1175 - 1569 - good
			{ "value": 1885, "color": ${"def.colorRating.very_good"} },			// 1570 - 1884 - very good
			{ "value": 9999, "color": ${"def.colorRating.unique"} }				// 1900 - *    - unique
		],
		// Dynamic color by WN8 rating
		"wn8": [
			{ "value": 315,  "color": ${"def.colorRating.very_bad" } },  //    0 - 314  - very bad   (20% of players)
			{ "value": 760,  "color": ${"def.colorRating.bad"      } },  //  315 - 759  - bad        (better then 20% of players)
			{ "value": 1325, "color": ${"def.colorRating.normal"   } },  //  760 - 1324 - normal     (better then 60% of players)
			{ "value": 1980, "color": ${"def.colorRating.good"     } },  // 1325 - 1979 - good       (better then 90% of players)
			{ "value": 2570, "color": ${"def.colorRating.very_good"} },  // 1980 - 2569 - very good  (better then 99% of players)
			{ "value": 9999, "color": ${"def.colorRating.unique"   } }   // 2570 - *    - unique     (better then 99.9% of players)
		],
		// Dynamic color by TEFF (E) rating.
		"e": [
			{ "value": 0.01, "color": ${"def.colorRating.undefined"} },
			{ "value": 3,    "color": ${"def.colorRating.very_bad"} },
			{ "value": 6,    "color": ${"def.colorRating.bad"} },
			{ "value": 7,    "color": ${"def.colorRating.normal"} },
			{ "value": 8,    "color": ${"def.colorRating.good"} },
			{ "value": 9,    "color": ${"def.colorRating.very_good"} },
			{ "value": 20,   "color": ${"def.colorRating.unique"} }
		],
		// Dynamic color by win percent.
		"winrate": [
			{ "value": 47,  "color": ${"def.colorRating.very_bad"} },			//  0   - 46.5  - very bad   (20% of players)
			{ "value": 49,  "color": ${"def.colorRating.bad"} },				// 46.5 - 48.5  - bad        (better then 20% of players)
			{ "value": 52,  "color": ${"def.colorRating.normal"} },				// 48.5 - 51.5  - normal     (better then 60% of players)
			{ "value": 57,  "color": ${"def.colorRating.good"} },				// 51.5 - 56.5  - good       (better then 90% of players)
			{ "value": 64,  "color": ${"def.colorRating.very_good"} },			// 56.5 - 63.5  - very good  (better then 99% of players)
			{ "value": 101, "color": ${"def.colorRating.unique"} }				// 63.5 - 100   - unique     (better then 99.9% of players)
		],
		// Dynamic color by TWR (T-Calc).
		"twr": [
			{ "value": 47,  "color": ${"def.colorRating.very_bad"} },			//  0   - 46.5  - very bad
			{ "value": 49,  "color": ${"def.colorRating.bad"} },				// 46.5 - 48.5  - bad
			{ "value": 52,  "color": ${"def.colorRating.normal"} },				// 48.5 - 51.5  - normal
			{ "value": 57,  "color": ${"def.colorRating.good"} },				// 51.5 - 56.5  - good
			{ "value": 62,  "color": ${"def.colorRating.very_good"} },			// 56.5 - 61.5  - very good
			{ "value": 101, "color": ${"def.colorRating.unique"} }				// 61.5 - 100   - unique
		],
		// Dynamic color by kilo-battles.
		"kb": [
			{ "value": 2,   "color": ${"def.colorRating.very_bad"} },			//  0 - 1
			{ "value": 5,   "color": ${"def.colorRating.bad"} },				//  2 - 4
			{ "value": 9,   "color": ${"def.colorRating.normal"} },				//  5 - 8
			{ "value": 14,  "color": ${"def.colorRating.good"} },				//  9 - 13
			{ "value": 20,  "color": ${"def.colorRating.very_good"} },			// 14 - 19
			{ "value": 999, "color": ${"def.colorRating.unique"} }				// 20 - *
		],
		// Dynamic color by average level of player tanks.
		"avglvl": [
			{ "value": 2,	"color": ${"def.colorRating.very_bad" } },
			{ "value": 3,	"color": ${"def.colorRating.bad"      } },
			{ "value": 5,	"color": ${"def.colorRating.normal"   } },
			{ "value": 7,	"color": ${"def.colorRating.good"     } },
			{ "value": 9,	"color": ${"def.colorRating.very_good"} },
			{ "value": 11,	"color": ${"def.colorRating.unique"   } }
		],
		// Dynamic color by battles on current tank.
		"t_battles": [
			{ "value": 100,   "color": ${"def.colorRating.very_bad"} },			//    0 - 99
			{ "value": 250,   "color": ${"def.colorRating.bad"} },				//  100 - 249
			{ "value": 500,   "color": ${"def.colorRating.normal"} },			//  250 - 499
			{ "value": 1000,  "color": ${"def.colorRating.good"} },				//  500 - 999
			{ "value": 1800,  "color": ${"def.colorRating.very_good"} },		// 1000 - 1799
			{ "value": 99999, "color": ${"def.colorRating.unique"} }			// 1800 - *
		],
		// Dynamic color by average damage on current tank.
		"tdb": [
			{ "value": 1,    "color": ${"def.colorRating.undefined"} },
			{ "value": 500,  "color": ${"def.colorRating.very_bad"} },
			{ "value": 1000, "color": ${"def.colorRating.normal"} },
			{ "value": 1800, "color": ${"def.colorRating.good"} },
			{ "value": 2500, "color": ${"def.colorRating.very_good"} },
			{ "value": 3000, "color": ${"def.colorRating.unique"} }
		],
		// Dynamic color by average damage efficiency on current tank.
		"tdv": [
			{ "value": 0.01, "color": ${"def.colorRating.undefined"} },
			{ "value": 0.6,  "color": ${"def.colorRating.very_bad"} },
			{ "value": 0.8,  "color": ${"def.colorRating.bad"} },
			{ "value": 1.0,  "color": ${"def.colorRating.normal"} },
			{ "value": 1.3,  "color": ${"def.colorRating.good"} },
			{ "value": 2.0,  "color": ${"def.colorRating.very_good"} },
			{ "value": 15,   "color": ${"def.colorRating.unique"} }
		],
		// Dynamic color by average frags per battle on current tank.
		"tfb": [
			{ "value": 0.01, "color": ${"def.colorRating.undefined"} },
			{ "value": 0.6,  "color": ${"def.colorRating.very_bad"} },
			{ "value": 0.8,  "color": ${"def.colorRating.bad"} },
			{ "value": 1.0,  "color": ${"def.colorRating.normal"} },
			{ "value": 1.3,  "color": ${"def.colorRating.good"} },
			{ "value": 2.0,  "color": ${"def.colorRating.very_good"} },
			{ "value": 15,   "color": ${"def.colorRating.unique"} }
		],
		// Dynamic color by number of spotted enemies per battle on current tank.
		"tsb": [
			{ "value": 0.01, "color": ${"def.colorRating.undefined"} },
			{ "value": 0.6,  "color": ${"def.colorRating.very_bad"} },
			{ "value": 0.8,  "color": ${"def.colorRating.bad"} },
			{ "value": 1.0,  "color": ${"def.colorRating.normal"} },
			{ "value": 1.3,  "color": ${"def.colorRating.good"} },
			{ "value": 2.0,  "color": ${"def.colorRating.very_good"} },
			{ "value": 15,   "color": ${"def.colorRating.unique"} }
		]
	}
}
