﻿/**
 * Minimap labels.
 * Надписи на миникарте.
 */
{
	// Textfields for units on minimap.
	// Текстовые поля юнитов на миникарте.
	// TODO: documentation
	//  {
	//    Если не указаны "ally", "squadman", "player", "enemy", "teamKiller", то они не используются.
	//    Если не указаны "lost" и "spotted", то используются оба - и "lost", и "spotted".
	//    Если не указаны "alive", "dead", то используются оба - и "alive", и "dead".
	//    "flags": [ "player", "ally", "squadman", "enemy", "teamKiller", "lost", "spotted", "alive", "dead" ],
	//    "format": "...",
	//    "shadow": { ... },
	//    "alpha": "...",
	//    "x": { ... },
	//    "y": { ... },
	//    "antiAliasType": "normal" // normal/advanced
	//  }
	// Definitions

	"def": {
		"defaultItem": {
			// "flags": [ "player", "ally", "squadman", "enemy", "teamKiller", "lost", "spotted", "alive", "dead" ],
			"shadow": { "distance": 4, "angle": 0, "color": "0x000000", "alpha": 49, "blur": 1, "strength": 977 },
			"alpha": 100,
			"x": 0,
			"y": 0,
			"width": 100,
			"height": 40,
			"align": "left",
			"valign": "top",
			"antiAliasType": "normal",
			"bgColor": null,
			"borderColor": null
		},
		"vtypeSpotted": {
			// "$ref": { "path":"def.defaultItem" },
			"flags": [ "ally", "enemy", "squadman", "teamKiller", "spotted", "alive" ],
			"shadow": { "distance": 4, "angle": 0, "color": "0x000000", "alpha": 49, "blur": 1, "strength": 977 },
			"format": "<font size='13' color='{{.minimap.labelsData.colors.dot.{{sys-color-key}}}}'>{{.minimap.labelsData.vtype.{{vtype-key}}}}</font>",
			"align": "center",
			"valign": "center",
			"antiAliasType": "normal",
			"bgColor": null,
			"borderColor": null
		},
		"vehicleSpotted": {
			// "$ref": { "path":"def.defaultItem" },
			"flags": [ "ally", "enemy", "teamKiller", "spotted", "alive" ],
			"shadow": { "distance": 4, "angle": 0, "color": "0x000000", "alpha": 49, "blur": 1, "strength": 977 },
			"format": "<textformat leading='-2'><font size='6' color='{{.minimap.labelsData.colors.txt.{{sys-color-key}}}}'>{{vehicle}}\n{{name%.7s}}</font><textformat>",
			"x": 2,
			"y": -1,
			"align": "left",
			"valign": "top",
			"antiAliasType": "normal",
			"bgColor": null,
			"borderColor": null
		},
		"nickSpotted": {
			// "$ref": { "path":"def.defaultItem" },
			"flags": [ "squadman", "spotted", "alive" ],
			// "flags": [ ],
			"shadow": { "distance": 4, "angle": 0, "color": "0x000000", "alpha": 49, "blur": 1, "strength": 977 },
			"format": "<font size='6' color='{{.minimap.labelsData.colors.txt.{{sys-color-key}}}}'><i>{{name%.7s~..}}</i></font>",
			"x": 2,
			"y": -1,
			"align": "left",
			"valign": "top",
			"antiAliasType": "normal",
			"bgColor": null,
			"borderColor": null
		},
		"vtypeLost": {
			// "$ref": { "path":"def.defaultItem" },
			// "flags": [ "ally", "enemy", "squadman", "teamKiller", "lost", "alive" ],
			"flags": [
				"ally",
				"enemy",
				"squadman",
				"teamKiller",
				"lost",
				"alive"
			],
			"shadow": { "distance": 3, "angle": 0, "color": "{{.colors.system.{{sys-color-key}}}}", "alpha": 60, "blur": 1, "strength": 2000 },
			"format": "<font size='13' color='#000000'>{{.minimap.labelsData.vtype.{{vtype-key}}_Lost}}</font>",
			"align": "center",
			"valign": "center",
			"alpha": 100,
			"antiAliasType": "normal",
			"bgColor": null,
			"borderColor": null
		},
		"vehicleLost": {
			// "$ref": { "path":"def.defaultItem" },
			// "flags": [ "ally", "enemy", "squadman", "teamKiller", "lost", "alive" ],
			// "flags": [ "ally", "enemy", "teamKiller", "lost", "alive" ],
			"flags": [
				"ally",
				"enemy",
				"teamKiller",
				"lost",
				"alive"
			],
			"shadow": { "distance": 4, "angle": 0, "color": "0x000000", "alpha": 49, "blur": 1, "strength": 977 },
			"format": "<font size='6' color='{{.minimap.labelsData.colors.txt.{{sys-color-key}}}}'><i>{{vehicle}}</i></font>",
			"alpha": 85,
			"x": 2,
			"y": -1,
			"align": "left",
			"valign": "top",
			"antiAliasType": "normal",
			"bgColor": null,
			"borderColor": null
		},
		"nickLost": {
			// "$ref": { "path":"def.defaultItem" },
			// "flags": [ "squadman", "lost", "alive" ],
			"flags": [
				"squadman",
				"lost",
				"alive"
			],
			"shadow": { "distance": 4, "angle": 0, "color": "0x000000", "alpha": 49, "blur": 1, "strength": 977 },
			"format": "<font size='6' color='{{.minimap.labelsData.colors.txt.{{sys-color-key}}}}'><i>{{name%.7s~..}}</i></font>",
			"alpha": 85,
			"x": 2,
			"y": -9,
			"align": "left",
			"valign": "top",
			"antiAliasType": "normal",
			"bgColor": null,
			"borderColor": null
		},
		"vtypeDead": {
			// "$ref": { "path":"def.defaultItem" },
			"flags": [ "ally", "enemy", "squadman", "teamKiller", "dead" ],
			"format": "<font face='arial' size='17' color='{{.minimap.labelsData.colors.lostDot.{{sys-color-key}}}}'>\u2022</font>",
			"shadow": { "distance": 4, "angle": 0, "color": "0x000000", "alpha": 49, "blur": 1, "strength": 3 },
			"align": "center",
			"valign": "center",
			"alpha": 90,
			"antiAliasType": "normal",
			"bgColor": null,
			"borderColor": null
		},
		"vehicleDead": {
			// "$ref": { "path":"def.defaultItem" },
			"flags": [ ],
			"shadow": { "distance": 4, "angle": 0, "color": "0x000000", "alpha": 49, "blur": 1, "strength": 977 },
			"format": "<font size='6' color='{{.minimap.labelsData.colors.txt.{{sys-color-key}}}}'>{{vehicle}}</font>",
			"alpha": 85,
			"x": 2,
			"y": -1,
			"align": "left",
			"valign": "top",
			"antiAliasType": "normal",
			"bgColor": null,
			"borderColor": null
		},
		"nickDead": {
			// "$ref": { "path":"def.defaultItem" },
			"flags": [ ],
			"format": "<font size='6' color='{{.minimap.labelsData.colors.txt.{{sys-color-key}}}}'><i>{{name%.7s~..}}</i></font>",
			"shadow": { "distance": 4, "angle": 0, "color": "0x000000", "alpha": 49, "blur": 1, "strength": 3 },
			"x": 2,
			"y": -9,
			"align": "left",
			"valign": "top",
			"antiAliasType": "normal",
			"bgColor": null,
			"borderColor": null
		},	  
		"HealthPointsSpottedAlly": {
			// "$ref": { "path":"def.defaultItem" },
			// "flags": [ "ally", "spotted", "alive" ],
			"flags": [ ],
			"shadow": { "distance": 4, "angle": 0, "color": "0x000000", "alpha": 49, "blur": 1, "strength": 977 },
			"format": "<font face='dynamic' size='{{vtype-key=HT?16|14}}' color='{{.minimap.labelsData.colors.dot.{{sys-color-key}}}}'>{{hp-ratio%.436a}}</font>",
			"align": "center",
			"valign": "center",
			"x": 0.2,
			"y": 0.8,
			"antiAliasType": "normal",
			"bgColor": null,
			"borderColor": null
		},
		"HealthPointsSpottedEnemy": {
			// "$ref": { "path":"def.defaultItem" },
			// "flags": [ "enemy", "spotted", "alive" ],
			"flags": [ ],
			"shadow": { "distance": 4, "angle": 0, "color": "0x000000", "alpha": 49, "blur": 1, "strength": 977 },
			"format": "<font face='dynamic' size='{{vtype-key=HT?16|14}}' color='{{.minimap.labelsData.colors.dot.{{sys-color-key}}}}'>{{hp-ratio%.436a|&#xE6;}}</font>",
			"align": "center",
			"valign": "center",
			"x": 0.2,
			"y": 0.8,
			"antiAliasType": "normal",
			"bgColor": null,
			"borderColor": null
		},
		"HealthPointsSpottedSquadman": {
			// "$ref": { "path":"def.defaultItem" },
			// "flags": [ "squadman", "spotted", "alive" ],
			"flags": [ ],
			"shadow": { "distance": 4, "angle": 0, "color": "0x000000", "alpha": 49, "blur": 1, "strength": 977 },
			"format": "<font face='dynamic' size='{{vtype-key=HT?16|14}}' color='{{.minimap.labelsData.colors.dot.{{sys-color-key}}}}'>{{hp-ratio%.436a}}</font>",
			"align": "center",
			"valign": "center",
			"x": 0.2,
			"y": 0.8,
			"antiAliasType": "normal",
			"bgColor": null,
			"borderColor": null
		},
		"HealthPointsSpottedTeamKiller": {
			// "$ref": { "path":"def.defaultItem" },
			// "flags": [ "teamKiller", "spotted", "alive" ],
			"flags": [ ],
			"shadow": { "distance": 4, "angle": 0, "color": "0x000000", "alpha": 49, "blur": 1, "strength": 977 },
			"format": "<font face='dynamic' size='{{vtype-key=HT?16|14}}' color='{{.minimap.labelsData.colors.dot.{{sys-color-key}}}}'>{{hp-ratio%.436a}}</font>",
			"align": "center",
			"valign": "center",
			"x": 0.2,
			"y": 0.8,
			"antiAliasType": "normal",
			"bgColor": null,
			"borderColor": null
		}
	}
}
