﻿/**
 * Standard Color settings.
 */
{
	 "def": {
		"ally": 					"0x96FF00", 			// ally
		"squadman": 				"0xFFB964", 			// squadman		/CB
		"teamKiller": 				"0x00EAFF", 			// teamKiller	/CB
		"enemy": 					"0xF50800", 			// enemy		/CB
		"player": 					"0xFFDD33", 			// player		/CB
		// ColorRating
		"undefined":    			"0xFCFCFC",				// undefined
		"very_bad":					"0xFE0E00",				// very bad		/CB
		"bad":						"0xFE7903",				// bad			/CB
		"normal":					"0xF8F400",				// normal		/CB
		"good":						"0x60FF00",				// good			/CB
		"very_good":				"0x02C9B3",				// very good	/CB
		"unique":					"0xD042F3",				// unique		/CB
		// colorHP
		"very_low":					"0xDD0000",				// very low
		"low":						"0xDD3333",				// low			/CB
		"average":					"0xFFCC33",				// average
		"above_average":			"0xFFFFFF",				// above-average
		// systemColors
		"ally_alive":				${"def.ally"},
		"ally_dead":				"0x009900",	
		"ally_blowedup":			"0x007700",
		"squadman_alive":			${"def.squadman"},
		"squadman_dead":			"0xCA7000",								// CB
		"squadman_blowedup":		"0xA45A00",								// CB
		"teamKiller_alive":			${"def.teamKiller"},
		"teamKiller_dead":			"0x097783",
		"teamKiller_blowedup":		"0x096A75",
		"enemy_alive":				${"def.enemy"},
		"enemy_dead":				"0x840500",								// CB
		"enemy_blowedup":			"0x5A0401"								// CB
	},
	"playersPanel": {
		"enemySpottedMarker": {
			"format": {
				"neverSeen":		"<font face='Arial' size='32' color='#FF0000'>\u2022</font>"
			}
		}
	},
	"minimapLabels": {
		"labels": { 
			"units": {
				"css": {
					"enemy":			".mm_e{font-family:$TextFont; font-size:6px; color:#FF0000;} .mm_e2{font-family:$TextFont; font-size:5px; color:#FF0000;}",
					"deadally":			".mm_dot{font-family:Arial; font-size:17px; color:#009900;}",
					"deadteamkiller":	".mm_dot{font-family:Arial; font-size:17px; color:#097783;}",
					"deadenemy":		".mm_dot{font-family:Arial; font-size:17px; color:#840500;}",
					"deadsquad":		".mm_dot{font-family:Arial; font-size:17px; color:#CA7000;}"
				}
			}
		}
	}
}