﻿/**
 * Capture bar.
 */
{
    "captureBar": {
		"enabled": true,
		// Ally and enemy bars colors (default: use system color)
		"allyColor": null,
		"enemyColor": null,
		// false - Disable.
		"primaryTitleOffset": 7,
		// Upper textfield offset in case of big font size
		"appendPlus": true,
		// Capture format (macros allowed, see readme-en.txt).
		"ally": {
			"primaryTitleFormat": "<font size='15' color='#ed0616'><b>{{l10n:allyBaseCapture}}</font> <font size='15' color='#FFFFFF'>{{points}}\u0025 ({{speed}} CP/s)</b></font>",
			"secondaryTitleFormat": "{{extra}}",
			"extra": "<font size='15' color='#ed0616'><b>{{l10n:Capturers}}:</b></font> <font size='15' color='#FFFF00'><b>{{tanks}}</b></font> <font size='15' color='#FFFFFF'><b>{{l10n:Timeleft}}:</b></font> <font size='14' color='#FFFF00'><b>{{time}}<b></font>",
			"captureDoneFormat": "<font size='15' color='#ed0616'><b>{{l10n:allyBaseCaptured}}</b></font>",
			"shadow": {					// Fields shadow
				"strength": 3,			// Strength 0-255; 3 is recommended
				"alpha": 80,			// Alpha 0-100
				"color": "0x000000",	// Color
				"blur": 6				// Blur 0-255; 6 is recommended
			}
		},
		"enemy": {
			"primaryTitleFormat": "<font size='15' color='#1bc858'><b>{{l10n:enemyBaseCapture}}</font> <font size='15' color='#FFFFFF'>{{points}}\u0025 ({{speed}} CP/s)</b></font>",
			"secondaryTitleFormat": "{{extra}}",
			"extra": "<font size='15' color='#1bc858'><b>{{l10n:Capturers}}:</b></font> <font size='15' color='#d9c700'><b>{{tanks}}</b></font> <font size='15' color='#FFFFFF'><b>{{l10n:Timeleft}}:</b></font> <font size='14' color='#FFFF00'><b>{{time}}</b></font>",
			"captureDoneFormat": "<font size='15' color='#d9c700'><b>{{l10n:enemyBaseCaptured}}</b></font>",
			"shadow": {					// Fields shadow
				"strength": 3,			// Strength 0-255; 3 is recommended
				"alpha": 80,			// Alpha 0-100
				"color": "0x000000",	// Color
				"blur": 6				// Blur 0-255; 6 is recommended
			}
		}
	}
}
