﻿/**
 * Hit log (my hits calculator).
 */
{
	"hitLog": {
		"visible": true,												// false - Disable.
		// "hpLeft": true,												// Show enemy hp left by Alt press
																		// Destroyed enemies and enemies HP gets updated only when it markers become visible.
																		// Markers are visible only inside 1000m side square.
																		// Square with 1000 meters side is game engine restriction. Maximum marker show distance.
																		// Particular enemy data will not be updated while you cant see this enemy marker or its wreck.
		"hpLeft": {														
			"enabled": true,											// false - Disable.
			"header": "<textformat tabstops='[100,230]'><font color='#FFFFFF'>{{l10n:hpLeftTitle}}\n   hp<tab>   {{l10n:Vehicle}}<tab>{{l10n:Name}}</font></textformat>",
																		// Header, macros ARE NOT allowed.
			"format": "<textformat leading='-5' tabstops='[67,100,230]'><font color='{{c:hp-ratio}}'>{{hp}}/{{hp-max}}<tab>{{hp-ratio}}\u0025</font><tab> <img src='xvm://res/icons/class/{{vtype}}3.png' width='20' height='20'><font color='{{c:vtype}}'>{{vehicle}}</font><tab><font color='#BBBBBB'>{{name}}</font></textformat>"	
		},																// Row in HP list (macros allowed, see readme-en.txt).
		"groupHitsByPlayer":	true,									// Group hits by players name.
		"deadMarker":			"<font face='Wingdings'>N</font>",		// Substitution for {{dead}} macro when tank is dead.
		"blowupMarker":			"<font face='Wingdings'>M</font>",
																		// Default header format (before first hit). Macros IS NOT allowed.
		"defaultHeader":		${"various/defaultHeaderHitlog.xc":"defaultHeader"},
																		// Hits header format, including last hit (macros allowed, see readme-en.txt).
		"formatHeader":			"<font color='#FFFFFF'>\n{{l10n:Total}}:</font> <font color='#fd0000'>{{dmg-total}} hp</font>  <font color='#FFFFFF'>{{l10n:Last}}:</font> <font color='{{c:dmg-kind}}'>{{dmg}} hp {{dead}}</font><font color='{{c:vtype}}'>({{vehicle}})</font>   <font color='#FFFFFF'>\u00D8</font> <font color='#FFFFFF'>{{dmg-avg%0.0d}} hp</font>",
																		// List of hits format (macros allowed, see readme-en.txt).
		"formatHistory":		"<textformat leading='-5' tabstops='[25,60,100,210,230]'><font size='14'>x{{n-player}}:<tab>{{dmg-player}}<tab><img src='xvm://res/icons/hitlog/{{c:dmg-kind}}.png' width='42' height='12'><tab> <img src='xvm://res/icons/class/{{vtype}}3.png' width='20' height='20'><font color='{{c:vtype}}'>{{vehicle}}</font><tab> {{dead}}<tab>{{name}}</textformat></font>",
		"x": ${"various/HitLogPosX.xc":"x"},							// X position (negative values - bind to right side of screen).
		"y": 6,															// Y position (negative values - bind to bottom side of screen).
		"h": 700,														// Height.
		"w": 700,														// Width.
		"insertOrder": "end",											// Insert order: begin - insert new values to begin, end - add to end.
		"direction": "down",											// Log direction: up - lines will be added from up to down, down - from down to up.
		"lines": 15,													// Number of lines with hits. Old lines will be pushed out.
		"shadow": {														// Shadow options.
			"strength": 150,
			"color": "0x000000",
			"distance": 0,
			"size": 5,
			"alpha": 100,
			"angle": 45
		}
	}
}