﻿/**
 * Shared data for minimap labels.
 */
{
	"labelsData": {
		"colors": {											// Color sets
			"txt": {
				"ally_alive":          "#C8FFA6",
				// "ally_alive":          ${"various/baseColorScale.xc":"def.ally_alive"},
				"ally_dead":           "#6E8C5B",
				// "ally_dead":           ${"various/baseColorScale.xc":"def.ally_dead"},
				"ally_blowedup":       "#6E8C5B",
				"squadman_alive":      "#FFD099",
				// "squadman_alive":      ${"various/baseColorScale.xc":"def.squadman_alive"},
				"squadman_dead":       "#997C5C",
				// "squadman_dead":       ${"various/baseColorScale.xc":"def.squadman_dead"},
				"squadman_blowedup":   "#997C5C",
				"teamKiller_alive":    "#A6F8FF",
				// "teamKiller_alive":    ${"various/baseColorScale.xc":"def.teamKiller_alive"},
				"teamKiller_dead":     "#5B898C",
				// "teamKiller_dead":     ${"various/baseColorScale.xc":"def.teamKiller_dead"},
				"teamKiller_blowedup": "#5B898C",
				"enemy_alive":         "#FCA9A4",
				// "enemy_alive":         ${"various/baseColorScale.xc":"def.enemy_alive"},
				"enemy_dead":          "#996763",
				// "enemy_dead":          ${"various/baseColorScale.xc":"def.enemy_dead"},
				"enemy_blowedup":      "#996763"
			},
			"dot": {
				"ally_alive":          "#96FF00",
				// "ally_alive":          ${"various/baseColorScale.xc":"def.ally_alive"},
				"ally_dead":           "#004D00",
				// "ally_dead":           ${"various/baseColorScale.xc":"def.ally_dead"},
				"ally_blowedup":       "#004D00",
				"squadman_alive":      "#FFB964",
				// "squadman_alive":      ${"various/baseColorScale.xc":"def.squadman_alive"},
				"squadman_dead":       "#663800",
				// "squadman_dead":       ${"various/baseColorScale.xc":"def.squadman_dead"},
				"squadman_blowedup":   "#663800",
				"teamKiller_alive":    "#00EAFF",
				// "teamKiller_alive":    ${"various/baseColorScale.xc":"def.teamKiller_alive"},
				"teamKiller_dead":     "#043A40",
				// "teamKiller_dead":     ${"various/baseColorScale.xc":"def.teamKiller_dead"},
				"teamKiller_blowedup": "#043A40",
				"enemy_alive":         "#F50800",
				// "enemy_alive":         ${"various/baseColorScale.xc":"def.enemy_alive"},
				"enemy_dead":          "#4D0300",
				// "enemy_dead":          ${"various/baseColorScale.xc":"def.enemy_dead"},
				"enemy_blowedup":      "#4D0300"
			},
			"lostDot": {
				"ally_alive":          "#B4E595",
				// "ally_alive":          ${"various/baseColorScale.xc":"def.ally_alive"},
				"ally_dead":           "#004D00",
				// "ally_dead":           ${"various/baseColorScale.xc":"def.ally_dead"},
				"ally_blowedup":       "#004D00",
				"squadman_alive":      "#E5BB8A",
				// "squadman_alive":      ${"various/baseColorScale.xc":"def.squadman_alive"},
				"squadman_dead":       "#663800",
				// "squadman_dead":       ${"various/baseColorScale.xc":"def.squadman_dead"},
				"squadman_blowedup":   "#663800",
				"teamKiller_alive":    "#00D2E5",
				// "teamKiller_alive":    ${"various/baseColorScale.xc":"def.teamKiller_alive"},
				"teamKiller_dead":     "#043A40",
				// "teamKiller_dead":     ${"various/baseColorScale.xc":"def.teamKiller_dead"},
				"teamKiller_blowedup": "#043A40",
				"enemy_alive":         "#E59995",
				// "enemy_alive":         ${"various/baseColorScale.xc":"def.enemy_alive"},
				"enemy_dead":          "#4D0300",
				// "enemy_dead":          ${"various/baseColorScale.xc":"def.enemy_dead"},
				"enemy_blowedup":      "#4D0300"
			}
		},
		"vtype": {											// Text for {{.minimap.labelsData.vtype.{{vtype-key}}}} macro
			"LT":  "<font face='xvm'>&#x3A;</font>",		// Text for light tanks
			"MT":  "<font face='xvm'>&#x3B;</font>",		// Text for medium tanks
			"HT":  "<font face='xvm'>&#x3F;</font>",		// Text for heavy tanks
			"SHT":  "<font face='xvm'>&#x4A;</font>",		// Text for super heavy tanks
			"SPG": "<font face='xvm'>&#x2D;</font>",		// Text for arty
			"TD":  "<font face='xvm'>&#x2E;</font>",		// Text for tank destroyers
			"LT_Lost":  "<font face='xvm'>&#x68;</font>",	// Text for light tanks
			"MT_Lost":  "<font face='xvm'>&#x69;</font>",	// Text for medium tanks
			"HT_Lost":  "<font face='xvm'>&#x6A;</font>",	// Text for heavy tanks
			"SHT_Lost":  "<font face='xvm'>&#x6B;</font>",	// Text for super heavy tanks
			"SPG_Lost": "<font face='xvm'>&#x66;</font>",	// Text for arty
			"TD_Lost":  "<font face='xvm'>&#x67;</font>"	// Text for tank destroyers
		}
	}
}
